%{?nodejs_find_provides_and_requires}
%global packagename path-array
%global enable_tests 1
Name:		nodejs-path-array
Version:	1.0.1
Release:	1
Summary:	Treat your $PATH like a JavaScript Array
License:	MIT
URL:		https://github.com/TooTallNate/node-path-array.git
Source0:	https://github.com/TooTallNate/node-path-array/archive/%{version}.tar.gz
BuildArch:	noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       	mocha 	npm(array-index)
%endif
%description
Treat your $PATH like a JavaScript Array

%prep
%autosetup -n path-array-%{version}
%nodejs_fixdep array-index '>=0.1.0'

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
/usr/bin/mocha -R spec
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license README.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Aug 31 2020 wutao <wutao61@huawei.com> - 1.0.1-1
- Package init
